"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TPhrasing = void 0;

var _TNode = require("./TNode");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class TPhrasing extends _TNode.TNode {
  constructor(init) {
    super(init, 'phrasing');

    _defineProperty(this, "displayName", 'TPhrasing');
  }

  emptyParams(other) {
    return {
      tagName: null,
      attributes: {},
      ...other
    };
  }
  /**
   * Create a new empty instance of this node.
   * This instance should have empty children, tagName set to null, no styles nor attributes.
   */


  newEmpty() {
    return new TPhrasing(this.cloneInitParams(this.emptyParams()));
  }

  isWhitespace() {
    return this.children.every(c => c.isWhitespace());
  }

  isEmpty() {
    return this.children.every(c => c.isEmpty());
  }

}

exports.TPhrasing = TPhrasing;
//# sourceMappingURL=TPhrasing.js.map